View Issue Details

IDProjectCategoryView StatusLast Update
12741Bug reports[All Projects] Conditionspublic2018-06-11 16:27
Reporterblocka Assigned ToDenisChenu  
PrioritynoneSeverityminor 
Status closedResolutionfixed 
Product Version2.7x.x 
Target VersionFixed in Version3.10.x 
Summary12741: Setting Condition where Constant = 0 treated as "no answer"
Description

If I set a condition to check the value of multiple numeric input, and I set the condition to "question Equals a constant of 0", I get the message:

Your condition could not be added! It did not include the question and/or answer upon which the condition was based. Please ensure you have selected a question and an answer.

Seems my workaround needs to be to set condition as "question less than a constant of 1".

Not sure, but seems to me that maybe a value of zero is being considered a null value?

TagsNo tags attached.
Complete LimeSurvey version number (& build)Latest, build 170927
I will donate to the project if issue is resolvedNo
BrowserAll
Database & DB-VersionmySQL 5.6x.
Server OS (if known)Centos
Webserver software & version (if known)Apache
PHP Version7.0.x

Activities

blocka

blocka

2017-10-03 22:48

reporter  

1.png (102,916 bytes)
LouisGac

LouisGac

2018-05-23 11:35

manager   ~47749

Denis, what do you think about this bug?

DenisChenu

DenisChenu

2018-05-24 18:22

developer   ~47804

I never use Condition editor … seemd to be an error with editor ? Maybe testing value == false and not value === null ?

What happen on 3.X ?

DenisChenu

DenisChenu

2018-06-07 08:31

developer   ~48012

Last edited: 2018-06-07 08:46

View 3 revisions

IN 2.73.1 and 3.9 : Then : GUI is broken. OK with single choice (using 0 as constant validate, but when edit show the choice) but not with a numeric.
EM is OK



limesurvey_survey_Condition0.lss (17,256 bytes)
DenisChenu

DenisChenu

2018-06-07 09:06

developer   ~48013

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=27354

DenisChenu

DenisChenu

2018-06-07 09:07

developer   ~48014

@LouisGac : Why me for condition editor ? See commit history next time please https://github.com/LimeSurvey/LimeSurvey/commits/master?before=174d9efc90032a9189fe6a6b20b79ad903c4571a+35&path%5B%5D=application&path%5B%5D=controllers&path%5B%5D=admin&path%5B%5D=conditionsaction.php

Related Changesets

LimeSurvey: master f4ba148f

2018-06-07 09:06:20

DenisChenu

Details Diff
Fixed issue 12741: Setting Condition where Constant = 0 treated as "no answer"
Dev: usage of getPost('post','') default to empy string
Dev: test with ===
Dev: some switch in place of if/elseif
Affected Issues
12741
mod - application/controllers/admin/conditionsaction.php Diff File

Issue History

Date Modified Username Field Change
2017-10-03 22:48 blocka New Issue
2017-10-03 22:48 blocka File Added: 1.png
2018-05-23 11:35 LouisGac Assigned To => DenisChenu
2018-05-23 11:35 LouisGac Status new => assigned
2018-05-23 11:35 LouisGac Note Added: 47749
2018-05-24 18:22 DenisChenu Note Added: 47804
2018-06-07 08:31 DenisChenu File Added: limesurvey_survey_Condition0.lss
2018-06-07 08:31 DenisChenu Note Added: 48012
2018-06-07 08:32 DenisChenu Note Edited: 48012 View Revisions
2018-06-07 08:46 DenisChenu Note Edited: 48012 View Revisions
2018-06-07 09:06 DenisChenu Changeset attached => LimeSurvey master f4ba148f
2018-06-07 09:06 DenisChenu Note Added: 48013
2018-06-07 09:06 DenisChenu Resolution open => fixed
2018-06-07 09:07 DenisChenu Status assigned => resolved
2018-06-07 09:07 DenisChenu Fixed in Version => 3.8.x
2018-06-07 09:07 DenisChenu Note Added: 48014
2018-06-11 16:27 markusfluer Status resolved => closed
2018-06-11 16:27 markusfluer Fixed in Version 3.8.x => 3.10.x